curl --request POST \
--url https://api.zerocash.tech/api/b2b/fiat/deposit/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10,
"ipAddress": "159.26.101.81",
"currency": "USD",
"email": "bruce@acechemicals.com",
"firstName": "Bruce",
"lastName": "Wayne",
"externalReference": "123456789",
"cardDetails": {
"cvv": "000",
"number": "4242424242424242",
"expMonth": "09",
"expYear": "28"
},
"address": {
"zip": "19709",
"country": "US",
"street1": "651 N Broad St",
"city": "Middletown",
"state": "DE"
},
"device3DSInfo": {
"colorDepth": 30,
"screenHeight": 1050,
"screenWidth": 1680,
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/145.0.0.0 Safari/537.36",
"timeZone": 180,
"deviceId": "29b435613857666dhgfdhg3b0a778471fbe9dc72db044886c7cc1175e4af632d4eb"
}
}
'{
"success": true,
"message": "Card charge initiated",
"data": {
"transactionId": "OD2bmfdvLSv1chSVtdss"
}
}{}Charges
Card Charge
Start a card payment transaction by sending the customer’s card details and transaction information.
POST
/
api
/
b2b
/
fiat
/
deposit
/
card
curl --request POST \
--url https://api.zerocash.tech/api/b2b/fiat/deposit/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10,
"ipAddress": "159.26.101.81",
"currency": "USD",
"email": "bruce@acechemicals.com",
"firstName": "Bruce",
"lastName": "Wayne",
"externalReference": "123456789",
"cardDetails": {
"cvv": "000",
"number": "4242424242424242",
"expMonth": "09",
"expYear": "28"
},
"address": {
"zip": "19709",
"country": "US",
"street1": "651 N Broad St",
"city": "Middletown",
"state": "DE"
},
"device3DSInfo": {
"colorDepth": 30,
"screenHeight": 1050,
"screenWidth": 1680,
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/145.0.0.0 Safari/537.36",
"timeZone": 180,
"deviceId": "29b435613857666dhgfdhg3b0a778471fbe9dc72db044886c7cc1175e4af632d4eb"
}
}
'{
"success": true,
"message": "Card charge initiated",
"data": {
"transactionId": "OD2bmfdvLSv1chSVtdss"
}
}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
3-letter currency code (e.g., NGN, USD).
The user's ip address.
Customer's email address.
Customer's first name
Customer's last name
A unique ID of your liking to reconcile transactions internally.
Card details object
Show child attributes
Show child attributes
Billing address (required for some international cards)
Show child attributes
Show child attributes
Required for some currencies e.g USD
Show child attributes
Show child attributes
The redirect url for a successful transaction